<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item" >
                    <a class="btn" (click)="previousState1()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i> &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
                <li class="nav-item" [hidden]="(joborders.idStatusType === '13')">
                    <a class="btn" (click)="delete(joborders)" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item" [hidden]="( joborders.idStatusType === '15' || joborders.idStatusType === '13')">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="ui-g ui-fluid">
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Job Order Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="dtOrder" [disabled]="readonly" dateFormat="dd-MM-yy"
                            [showTime]="true" [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtFnsBfr">Finished Before Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtFnsBfr" name="input_dtFnsBfr" [(ngModel)]="dtFnsBfr"
                                [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                dateFormat="dd-MM-yy" [disabled]="readonly"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12 ui-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_jobOrderNumber">JO Number</label>
                        <input type="text" class="form-control" name="jobOrderNumber" id="field_jobOrderNumber"
                            [(ngModel)]="joborders.orderNumber" readonly />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_createdBy">Created By</label>
                        <input type="text" class="form-control" name="createdBy" id="field_createdBy"
                            [(ngModel)]="joborders.createdBy" style="text-transform: uppercase;" readonly/>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_divReciver">Send To Departement</label>
                        <select class="form-control" id="field_divition" name="divReciver" [(ngModel)]="joborders.divReciver" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divitions">{{divitionOption.value}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-12" *ngIf="(joborders.divReciver === 'IT'|| joborders.divReciver === 'PSU') && (internals === 'IT' || internals === 'PSU')">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_divReciver">Kategori Masalah</label>
                        <input type="text" class="form-control" name="kategori" id="field_appDept3"
                        [(ngModel)]="joborders.kategori" readonly/>
                    </div>
                </div>
                <div class="col-md-12" [hidden]="(joborders.divReq === 'PPIC' && joborders.appDept !== 'PJA') || (joborders.divReq === 'GDG' && joborders.appDept !== 'PJA' && joborders.kategori === 'Koreksi Stock') ">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Approved By </label>
                        <input type="text" class="form-control" name="appDept3" id="field_appDept3"
                            [(ngModel)]="joborders.appDept" readonly/>
                    </div>
                </div>
                <div class="col-md-12" [hidden]="(joborders.divReq === 'PPIC' && joborders.appDept === 'PJA' || joborders.divReq !== 'PPIC' )">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Approved By Supervisor / Asistant Manager </label>
                        <input type="text" class="form-control" name="appDept2" id="field_appDept2"
                            [(ngModel)]="joborders.appDept" readonly/>
                    </div>
                </div>
                <div class="col-md-12" *ngIf="joborders.kategori === 'Koreksi Stock' && joborders.divReq === 'GDG' && joborders.appDept !== 'PJA'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Approved By Supervisor / Asistant Manager </label>
                        <input type="text" class="form-control" name="appDept2" id="field_appDept2"
                            [(ngModel)]="joborders.appDept" readonly/>
                    </div>
                </div>
                <div class="col-md-12" [hidden]="(joborders.divReq === 'PPIC' && joborders.appDept === 'PJA' || joborders.divReq !== 'PPIC') ">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Approved By Manager</label>
                        <input type="text" class="form-control" name="appDept1" id="field_appDept1"
                            [(ngModel)]="joborders.appDept1" readonly/>
                    </div>
                </div>
                <div class="col-md-12" *ngIf="joborders.kategori === 'Koreksi Stock' && joborders.divReq === 'GDG' && joborders.appDept !== 'PJA'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Approved By Manager</label>
                        <input type="text" class="form-control" name="appDept1" id="field_appDept1"
                            [(ngModel)]="joborders.appDept1" readonly/>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_jobDesc">Job Description</label>
                        <textarea rows="5" cols="106" pInputTextarea autoResize="autoResize" [(ngModel)]="joborders.jobDescription" name="jobDesc" readonly></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <label class="form-control-label" for="field_Attachment">Attachment</label>
                    <br>
                    <p-lightbox type="content">
                        <a class="group" href="#">
                            <img [src]="'data:' + joborders.contentContentType + ';base64,' + joborders.content" style="max-height: 230px;" alt="joborders image"/>
                        </a>
                        <img [src]="'data:' + joborders.contentContentType + ';base64,' + joborders.content" style="max-width: 500px;" alt="joborders image"/>
                    </p-lightbox>
                    <div *ngIf="joborders.content" class="form-text text-danger clearfix">
                        <div style="text-align: left">
                            <span>{{joborders.contentContentType}}, {{byteSize(joborders.content)}}</span>
                            &nbsp;&nbsp;&nbsp;
                            <button type="button" (click)="download(joborders.content, joborders.contentContentType ,'fileImage')" class="btn btn-secondary btn-xs">
                                <span class="fa fa-download"></span>
                            </button>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtRecive">Receive Date</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtRecive" name="input_dtRecive" [(ngModel)]="dtRecive" dateFormat="dd-MM-yy"
                            [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Reciver">Receiver</label>
                        <input type="text" class="form-control" name="reciver" id="field_Reciver"
                            [(ngModel)]="joborders.reciverName"/>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_executor">Executor</label>
                        <input type="text" class="form-control" name="executor" id="field_executor"
                            [(ngModel)]="joborders.executor" />
                    </div>
                </div>
                <div class="col-md-6" [hidden]="(internals === 'TEKNIK' || internals === 'PSU')">
                    <div class="form-group">
                        <label class="form-control-label" for="field_insFrom">Instruction From</label>
                        <input type="text" class="form-control" name="instFrom" id="field_insFrom"
                            [(ngModel)]="joborders.instructionFrom" />
                    </div>
                </div>
                <div class="col-md-6" [hidden]="(internals === 'PPIC' || internals === 'PROD' || internals === 'IT' || internals === 'LPM' || internals === 'REG' || internals === 'HSE' || internals === 'GPO')">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_insFroms">Instruction From</label>
                        <p-dropdown [options]="listKdBarang" styleClass="form-control" autoWidth="false"
                        [style]="{'width':'100%'}" ditable="editable"
                        [(ngModel)]="joborders.instructionFrom" id="field_insFrom" name="instFrom"
                    ></p-dropdown>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_insFroms">Work Plan</label>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtStartTmln">Date Start</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtStartTmln" name="input_dtStartTmln" [(ngModel)]="dtStartTmln"
                                dateFormat="dd-mm-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtFinishTmln">Date Finish</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtFinishTmln" name="input_dtFinishTmln" [(ngModel)]="dtFinishTmln"
                                dateFormat="dd-mm-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                [showTime]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-dialog header="Alasan Cancel" [(visible)]="newModalNote1" modal="true" [width]="700">
    <form name="notesForm" role="form" novalidate (ngSubmit)="modalCancelJO()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_cancelnote" name="cancelnote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="noteCancelJO" required>
            </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Cancel JO" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
  </p-dialog>
<p-confirmDialog></p-confirmDialog>